Skip to main content
POST
/
v1
/
webhook_deliveries
/
{delivery_id}
/
retry
Retry a delivery
curl --request POST \
  --url https://api.example.com/v1/webhook_deliveries/{delivery_id}/retry \
  --header 'Authorization: Bearer <token>'
{
  "attempts": 1,
  "created_at": "2026-04-23T10:00:05+00:00",
  "delivered_at": "2026-04-23T10:00:05+00:00",
  "event_id": "evt_01JBAAAA000000000000000000",
  "event_type": "humanization.completed",
  "id": "ffff0001-eeee-0002-dddd-000300040005",
  "object": "webhook_delivery",
  "request_body": {
    "id": "dddd1111-...",
    "object": "humanization"
  },
  "response_body": "",
  "response_status": 200,
  "webhook_id": "aaaa0001-bbbb-0002-cccc-000300040005"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

delivery_id
string<uuid>
required

Response

Successful Response

Record of one delivery attempt to a webhook endpoint.

id
string
required

Opaque delivery identifier (UUID).

Example:

"ffff0001-eeee-0002-dddd-000300040005"

webhook_id
string
required

The webhook endpoint this delivery targeted.

event_id
string
required

Stable event identifier. Deduplicate on this.

Example:

"evt_01JBAAAA000000000000000000"

event_type
string
required

Event type string, e.g. humanization.completed.

Example:

"humanization.completed"

created_at
string
required

ISO-8601 timestamp when this delivery was created.

object
string
default:webhook_delivery

Polymorphic discriminator. Always webhook_delivery.

request_body
Request Body · object

JSON body we sent in the delivery attempt.

response_status
integer | null

HTTP status code returned by the customer endpoint.

Example:

200

response_body
string | null

First 4096 bytes of the response body (for diagnostics).

attempts
integer
default:0

Number of delivery attempts made so far.

Example:

1

delivered_at
string | null

ISO-8601 timestamp when a successful delivery was recorded.